Bug 858080 - Review Request: mingw-qt5-qttools - Qt5 for Windows - QtTools component
Review Request: mingw-qt5-qttools - Qt5 for Windows - QtTools component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcel Wysocki
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks: 858082
  Show dependency treegraph
 
Reported: 2012-09-17 18:50 EDT by Erik van Pienbroek
Modified: 2013-04-07 20:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-07 20:25:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
maci: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:50:19 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttools/mingw-qt5-qttools.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qttools-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:13:49 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttools/mingw-qt5-qttools.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qttools-5.0.0-0.2.beta1.git20121112.769fa282.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.769fa282
- Update to 20121112 snapshot (rev 769fa282)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
- Dropped upstreamed patch
Comment 2 Erik van Pienbroek 2013-02-09 07:51:01 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttools/mingw-qt5-qttools.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qttools/5.0.1/1.fc19/src/mingw-qt5-qttools-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=122

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
- Added new subpackages which contain the native binary for the lrelease tool
- Added BR: mingw32-qt5-qtbase-devel mingw64-qt5-qtbase-devel as it contains
  files needed to build the lrelease tool
Comment 3 Marcel Wysocki 2013-03-11 07:50:26 EDT
[marcel@nb0815 mingw-qt5-qttools]$ rpmlint *.rpm |grep -v GPG
mingw32-qt5-qttools.noarch: W: no-documentation
mingw32-qt5-qttools.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5UiTools.pc
mingw32-qt5-qttools.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Designer.pc
mingw32-qt5-qttools.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5DesignerComponents.pc
mingw32-qt5-qttools.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5CLucene.pc
mingw32-qt5-qttools.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Help.pc
mingw32-qt5-qttools-debuginfo.noarch: E: debuginfo-without-sources
mingw32-qt5-qttools-lrelease.i686: W: no-documentation
mingw32-qt5-qttools-lrelease.i686: W: no-manual-page-for-binary i686-w64-mingw32-lrelease-qt5
mingw32-qt5-qttools-lrelease.x86_64: W: no-documentation
mingw32-qt5-qttools-lrelease.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-lrelease-qt5
mingw64-qt5-qttools.noarch: W: no-documentation
mingw64-qt5-qttools.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5CLucene.pc
mingw64-qt5-qttools.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5UiTools.pc
mingw64-qt5-qttools.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Help.pc
mingw64-qt5-qttools.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5DesignerComponents.pc
mingw64-qt5-qttools.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Designer.pc
mingw64-qt5-qttools-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qttools-lrelease.i686: W: no-documentation
mingw64-qt5-qttools-lrelease.i686: W: no-manual-page-for-binary x86_64-w64-mingw32-lrelease-qt5
mingw64-qt5-qttools-lrelease.x86_64: W: no-documentation
mingw64-qt5-qttools-lrelease.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-lrelease-qt5
mingw-qt5-qttools.src:30: W: macro-in-comment %{qt_module}
mingw-qt5-qttools.src:30: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qttools.src:30: W: macro-in-comment %{qt_module}
mingw-qt5-qttools.src:30: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qttools-debuginfo.i686: E: empty-debuginfo-package
mingw-qt5-qttools-debuginfo.x86_64: E: empty-debuginfo-package
11 packages and 0 specfiles checked; 25 errors, 14 warnings.

the macro-in-comment can be ignored
same goes for documentation & debuginfo-without-sources

empty .pc files is a real issue
the empty packages are an issue too

other than these issues the package seems fine
Comment 4 Erik van Pienbroek 2013-03-26 15:30:41 EDT
The empty .pc files issue should be resolved now with mingw-qt5-qtbase-5.0.1-3, it was caused by a bug in qmake. When the mingw-qt5-qttools package is initially built in Fedora then the .pc files should become okay automatically
Comment 5 Marcel Wysocki 2013-03-28 06:34:55 EDT
approved
Comment 6 Erik van Pienbroek 2013-03-28 07:28:27 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qttools
Short Description: Qt5 for Windows - QtTools component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-03-28 08:17:49 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-03-28 18:56:41 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qttools-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-4.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-4499/mingw-qt5-qttools-5.0.1-1.fc18,mingw-qt5-qtscript-5.0.1-1.fc18,mingw-qt5-qtbase-5.0.1-4.fc18,mingw-qt5-qtjsbackend-5.0.1-1.fc18
Comment 9 Fedora Update System 2013-04-07 20:25:10 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qttools-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-4.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.